function DrupalBoot8::bootstrap_drupal_root_validate

7.x DrupalBoot8.php DrupalBoot8::bootstrap_drupal_root_validate()

Validate the DRUSH_BOOTSTRAP_DRUPAL_ROOT phase.

In this function, we will check if a valid Drupal directory is available. We also determine the value that will be stored in the DRUSH_DRUPAL_ROOT context and DRUPAL_ROOT constant if it is considered a valid option.

Overrides DrupalBoot::bootstrap_drupal_root_validate

File

lib/Drush/Boot/DrupalBoot8.php, line 71

Namespace

Drush\Boot

Class

DrupalBoot8

Code

function bootstrap_drupal_root_validate() {
  return drush_set_error('DRUSH_DRUPAL_VERSION_UNSUPPORTED', dt('Drush !drush_version does not support Drupal 8. You will need Drush version 8 or higher. See http://docs.drush.org/en/master/install/ for details.', array('!drush_version' => DRUSH_VERSION)));
}